All changes

Story

Improvement

  • [DDS-178] Update postgresql driver to version 42.2.1-jre7

Dependencies

[INFO] ------------------------------------------------------------------------
[INFO] Building DemographicDataServer 4.1.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ DemographicDataServer ---
Check dependencies :: All the dependencies are up to date.
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building DemographicDataServer-ejb 4.1.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ DemographicDataServer-ejb ---
     net.ihe.gazelle.maven                       version            ejb          1.0.3          2.0.0       yes
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building DemographicDataServer-ui 4.1.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ DemographicDataServer-ui ---
Check dependencies :: All the dependencies are up to date.
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building DemographicDataServer-ear 4.1.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ DemographicDataServer-ear ---
Check dependencies :: All the dependencies are up to date.
[INFO] ------------------------------------------------------------------------

Remarks

net.ihe.gazelle.maven:version:2.0.0 is not be used only with Jboss8 AS and thus is not used in this version of DDS which still runs under Jboss7 AS.

Remarks

This version of the DDS tool uses the jdbc driver provided by the Jboss7 AS server. In addition, it has to be bound to the new Gazelle SSO (apereo).